# Jargon Informatique

Auteur: Asher256

## Qu'est ce que Jargon Informatique ?

Jargon Informatique est un logiciel qui vous permettra de naviguer aisement,
hors ligne et d'une maniere tres rapide dans un dictionnaire informatique tres
fourni qui contient plus de 10000 mots.

Quand on est dans un site internet, en train de lire un document ou encore en
train de discuter sur IRC, on est souvent confronte aux mots du Jargon
Informatique (par exemple troll, blog, vimisme, linux, TCP/IP, POP3, Geek,
etc.).

Dorenavant, a chaque fois que vous rencontrerez un mot qui vous paraitra
difficile, Jargon Informatique vous l'expliquera!

## Liens
- Site web de Jargon Informatique: https://www.asher256.com/projects/jargoninformatique
- Code source: https://github.com/asher256/jargoninformatique

## License

### La licence du logiciel

Jargon Informatique est distribue sous licence GNU General Public License v2
(lisez le fichier COPYING.txt).

Vous pouvez non seulement le distribuer et l'utiliser GRATUITEMENT mais aussi
le recompiler, l'etudier et l'ameliorer. Il est preferable d'envoyer toute
modification/amelioration a l'auteur afin qu'elle soit publiee dans les
prochaines version. Si vous avez cree un programme derive, vous etes oblige de
le distribuer avec le code source et de ne pas vous l'approprier. Le programme
et son code source sont distribues tels quels, SANS AUCUNE GARANTIE.

### La licence du dictionnaire

Concernant le contenu du dictionnaire, il est distribue sous licence GNU/FDL.
Pour contacter Roland Trique, l'auteur et mainteneur du dictionnaire principal
jargon.dic: http://www.linux-france.org/prj/jargonf

Jargon Informatique fonctionne dans quels systemes?
GNU/Linux, Windows et Mac OS X.

## Auteurs

### Logiciel et dictionnaire

- Asher256 est l'auteur du logiciel
- [Roland Trique](http://www.linux-france.org/prj/jargonf/general/formmail.php?dest1=rtrique&dest2=linux-france.org&url=index) est l'auteur du dictionnaire

### Contributeurs

- [Miguel2i](mailto:miguel2i@free.fr) : Beta test, correction de plusieurs bugs, nombreuses suggestions sur le code source
- [Superna](mailto:superna@na-prod.com): Beta test, support debian (rep debian), support MacOSX
- [Gauvain Pocentek](mailto:gauvainpocentek@yahoo.fr) : Fichiers man, adaptation du code source pour les debian rules, ajout du logiciel dans la distribution Ubuntu.

Il y a eu aussi d'autres petites contributions de la part de:

- Radu Christian : Signalisation d'un petit bug
- The Other : Amelioration du script install.sh

J'en profite pour remercier toutes ces personnes.

Si vous trouvez un bug ou que vous trouvez qu'une fonction manque, n'hesitez
pas a contribuer vous aussi au logiciel.

## Pourquoi avoir fait ce logiciel??

Pour deux raisons:
- La premiere est que j'ai beaucoup apprecie le travail qu'a fait Roland, l'auteur du dictionnaire jargon.dic, car il est tres fourni et partage librement sur internet.
- La deuxieme est de contribuer aux logiciels libres.

## Est-ce possible de naviguer plus rapidement avec le clavier?

- Quand vous etes en train de taper un mot dans la recherche, vous pouvez appuyer la touche Fleche de bas pour selectionner le premier element de la liste.
- Les touches haut et bas vous permettent de naviguer dans la liste de mots.
- ALT+h vous permet d'aller au mot precedent dans l'historique.
- ALT+j vous permet d'aller au mot suivant dans l'historique.
- ALT+k rend l'ecriture plus petite.
- ALT+l rend l'ecriture plus grande.
- CTRL+u sert a vider la camp de la recherche (comme avec le bouton "x")

## Quels sont les outils utilises pour la creation de ce logiciel?

Jargon Informatique a totalement ete developpe sous GNU/Linux avec l'editeur
[GVim](http://www.vim.org/).

Les distributions utilisees par l'auteur pour le developpement (par ordre
chronologique) : Fedora Core et Gentoo.

Le compilateur utilise dans les trois systeme (Windows,Linux et MacOSX) est
gcc (C++).

[gVim](http://www.vim.org/) est un editeur leger et tres puissant qui permet la
colorisation syntaxique, indentation automatique, l'automatisation des taches...

Pour le GUI le choix a ete porte pour la bibliotheque
[Fltk](http://www.fltk.org/) (au lieu de Gtk et QT). La librairie Fltk est tres
legere, extensible, rapide, et Cross-platform (fonctionne sous Windows, Linux
et MacOS-X). Elle est tres adaptee pour aux besoins du logiciel Jargon
Informatique. Le vrai point fort d'Fltk c'est que l'on peux l'attacher
statiquement avec le fichier executable sans distribuer 10 MO de runtimes.
Fltk n'ajoute que ~250 ko a l'exécutable.

## Comment compiler Jargon Informatique?

### Sous Linux:

Lisez le fichier INSTALL.lin (distribue avec le code source).

### Pour MacOSX:

Lisez le fichier INSTALL.mac (distribue avec le code source)

### Sous Windows:

Lisez le fichier INSTALL.win (distribue avec le code source).
